///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2014 PANGO MICROSYSTEMS, INC
// ALL RIGHTS REVERVED.
//
// THE SOURCE CODE CONTAINED HEREIN IS PROPRIETARY TO PANGO MICROSYSTEMS, INC.
// IT SHALL NOT BE REPRODUCED OR DISCLOSED IN WHOLE OR IN PART OR USED BY
// PARTIES WITHOUT WRITTEN AUTHORIZATION FROM THE OWNER.
//
//////////////////////////////////////////////////////////////////////////////
//the trig_unit module, it get the match information
//
//
// Modification history
//change rst intitial value from parameter,2020/06/01
//----------------------------------------------------------------------

module ips_dbc_trig_unit_v1_3
#(
  parameter  NEW_JTAG_IF               = 1,
  parameter  MU_PIPELINE               = 0,	    //0~4, EXPERIMENTAL
  parameter  MU_TYPE                   = 1,	    //0~5, basic/basic+edge/extended/extended+edge/range/range+edge
  parameter  MU_WIDTH                  = 8,	    //1~256
  parameter  MU_CNT                    = 0,	    //0~32, 0=Disable
  parameter  SIGNAL_MSB                = 1,	    //= MU_TYPE[0]==0 ? MU_WIDTH-(MU_CNT==0) : MU_WIDTH*2-(MU_CNT==0);    
  parameter  MU_CHAIN_BIT              = 25,	  //{mu_function,mu_bit0,mu_bit1...mu_bit255,mu_cnt_mode,mu_cnt_value}
  parameter [804:0] INIT_MU_CONFIG_SRC = 0   //the initial trig unit config which the jtag still not available
 )
(
  input                         h_rstn      ,
  input [1:0]                   clk_conf_trig ,
  input [1:0]                   rst_conf_trig ,
  input                         conf_sel      ,
  input                         conf_tdi      ,
  input                         shift_i,
  input [SIGNAL_MSB:0]          signal_combine,
  output                        match,
  input                         trig_mu_neg,
  input                         conf_rden,
  input [4:0]                   conf_id,
  input                         conf_sel_rd,
  output                        conf_rdlast,
  output                        conf_rdata,
  output reg                    test_reg0           
);  	
`pragma protect begin_protected
`pragma protect version=1
`pragma protect author="default"
`pragma protect author_info="default"
`pragma protect encrypt_agent="Synplify encryptP1735.pl"
`pragma protect encrypt_agent_info="Synplify encryptP1735.pl Version 1.1"

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="Synplicity", key_keyname="SYNP15_1", key_method="rsa"
`pragma protect key_block
osrk1vMcL92mWWk8G5uoFJ6zj4nFkpy+lT/G7v4ZxhjPnBlMqtuen97oGqk7V9FflXWs1I+5L5J8
/zgQhLFemUDlkW7B/i12zac7vgsJgJo3Yb2YkyUlK6Gq7w0KD5r8Ioiep3PwbVC3um8cJ+8SjEzy
Y3Xm8UaVsOwqyZohdVGrEpcY8m+G2D7B9BEP2DBqmloW6s8TEyT+s2yfl6gG5aISp/hyXDLRiPFs
SsbwC1OK227vHYlYMnklw/zbMKddKBKHaiy8bouJj7GWvb4oxTycJ0gHSPSDEpbEgiRmRwz8Gm69
V+LeHcIVXEwrrwP5o8uEN8VPW+cH2ywqm/V8OQ==

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="Pango Microsystems", key_keyname="PANGO_21", key_method="rsa"
`pragma protect key_block
uqRywS3o3OMVdM9Ls1YCjTqtYnzSchW2YObmCbt0Ix9RvS1LE14jb2r6mSpKw1/5jt+ZEa98VZP3
M6vOytMat1HI2/Zjr6CVUgRhI1+WUEKSRCnX5tQ5uls+co4igc+FB0jMV3Ee5k5nKAMGYRjno36/
ggbkYqA05PBqYK+plaAjLGt65FsHX9QxhpsutRGv0macwGii4JIwFmExMyimNAXPp307EnZXeZ9n
62XtiKBeciq/GJdEVytFZZpuLOIwGPYKbhyGqvQ3m8NDFIHHfiy0I37loxRsZoQY8e7/TlQt5QdD
kwjL1FM9y+L3bHco5k4afkFezEOl97nvT7xLoA==

`pragma protect data_method="aes128-cbc"
`pragma protect encoding=(enctype="base64", line_length=76, bytes=18464)
`pragma protect data_block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=

`pragma protect end_protected
endmodule