`timescale 1ns/10ps
module tb;

//parameter PERIOD = 6.70;  //ns
parameter PERIOD = 10;  //ns
parameter TOTALPIXELS = 2200;
parameter TOTALLINES = 1125;
parameter W = 12;
parameter H = 11;


reg             clk;
reg             rst;

wire            vout_clk;

wire            vout_hs;
wire            vout_vs;
wire            vout_de;

wire [7:0]      chanR;      
wire [7:0]      chanG;      
wire [7:0]      chanB;
wire [23:0]     vout_data;

wire            hdmi_scl;           //HDMI I2C clock
wire            hdmi_sda;
wire            hdmi_nreset;     

   always begin
      clk = 1'b0;
      #(PERIOD/2) clk = 1'b1;
      #(PERIOD/2);
   end

    
initial begin
    //en  = 1'b0;
    rst = 1'b0;
    repeat (1000) @(posedge clk);
    rst =1'b1;
    repeat (50) @(posedge clk);
    rst =1'b0;
    repeat (50) @(posedge clk);
    //en  = 1'b1;
    
    
    repeat (5000 + 2*TOTALPIXELS*TOTALLINES) @(posedge vout_clk);
    $stop; 

end    

hdmi_out DUT
(
    .sys_clk_p        (clk),          //system clock positive
    .sys_clk_n        (~clk),          //system clock negative 
    .rst_n            (~rst),              //reset ,low active
    .i2c_start_n      (1'b1),
    .hdmi_scl         (hdmi_scl),           //HDMI I2C clock
    .hdmi_sda         (hdmi_sda),           //HDMI I2C data
    .hdmi_nreset      (hdmi_nreset),        //9134 reset
    .vout_hs          (vout_hs),            //horizontal synchronization for 9134
    .vout_vs          (vout_vs),            //vertical synchronization for 9134
    .vout_de          (vout_de),            //data valid for 9134
    .vout_clk         (vout_clk),           //clock for 9134
    .vout_data        (vout_data)           //data for 9134
);

pullup (hdmi_scl);
pullup (hdmi_sda);
    
assign chanR = vout_data[23:16];
assign chanG = vout_data[15: 8];
assign chanB = vout_data[ 7: 0];

endmodule
